curl --request POST \
--url https://iam.basaltic.sh/v1/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "S3BucketAccess",
"document": {
"version": "2024-01-01",
"statements": [
{
"effect": "allow",
"actions": [
"s3:GetObject",
"s3:ListBucket"
],
"resources": [
"my-bucket/*",
"my-bucket"
],
"sid": "AllowS3Read",
"not_actions": [
"iam:*"
],
"not_resources": [
"crn:iam::production:role/*"
],
"conditions": [
{
"operator": "equals",
"key": "s3:prefix",
"values": [
"home/",
"shared/"
]
}
]
}
]
},
"description": "Allow read/write access to specific S3 bucket",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://iam.basaltic.sh/v1/policies"
payload = {
"name": "S3BucketAccess",
"document": {
"version": "2024-01-01",
"statements": [
{
"effect": "allow",
"actions": ["s3:GetObject", "s3:ListBucket"],
"resources": ["my-bucket/*", "my-bucket"],
"sid": "AllowS3Read",
"not_actions": ["iam:*"],
"not_resources": ["crn:iam::production:role/*"],
"conditions": [
{
"operator": "equals",
"key": "s3:prefix",
"values": ["home/", "shared/"]
}
]
}
]
},
"description": "Allow read/write access to specific S3 bucket",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'S3BucketAccess',
document: {
version: '2024-01-01',
statements: [
{
effect: 'allow',
actions: ['s3:GetObject', 's3:ListBucket'],
resources: ['my-bucket/*', 'my-bucket'],
sid: 'AllowS3Read',
not_actions: ['iam:*'],
not_resources: ['crn:iam::production:role/*'],
conditions: [{operator: 'equals', key: 's3:prefix', values: ['home/', 'shared/']}]
}
]
},
description: 'Allow read/write access to specific S3 bucket',
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://iam.basaltic.sh/v1/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policy": {
"id": "c3d4e5f6-a7b8-9012-3456-7890abcdef12",
"crn": "crn:iam::production:policy/ComputeReader",
"name": "S3BucketAccess",
"description": "Allow read/write access to specific S3 bucket",
"tags": {
"environment": "production",
"team": "backend"
},
"is_system": false,
"document": {
"version": "2024-01-01",
"statements": [
{
"effect": "allow",
"actions": [
"s3:GetObject",
"s3:ListBucket"
],
"resources": [
"my-bucket/*",
"my-bucket"
],
"sid": "AllowS3Read",
"not_actions": [
"iam:*"
],
"not_resources": [
"crn:iam::production:role/*"
],
"conditions": [
{
"operator": "equals",
"key": "s3:prefix",
"values": [
"home/",
"shared/"
]
}
]
}
]
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-16T14:20:00Z",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_handle": "production"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Crear una política
Crear una nueva política en la cuenta seleccionada
iam:CreatePolicy. Consulte permisos de IAM para obtener la lista completa, lo que cubre cada una y un ejemplo de directiva.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Cuerpo
Los nombres de los recursos no deben comenzar con el prefijo literal crn: ni ser UUID (en cualquier caso, en las formas canónica, compacta, entre corchetes o urn:uuid:).
1 - 255"S3BucketAccess"
Documento de política de estilo IAM
Show child attributes
Show child attributes
1000"Allow read/write access to specific S3 bucket"
Show child attributes
Show child attributes
{
"environment": "production",
"team": "backend"
}
Respuesta
Política creada
Show child attributes
Show child attributes

